import { select } from 'd3';

var dlAnchorElem 

data.forEach(data => {
	let filename = data[0].id.split(".")[0] + ".csv";
	let properties = data.map(d => d.properties)
	let csv = jsonToCSV(properties);
	downloadCSV(filename,csv)
	dlAnchorElem.click();
  })

function jsonToCSV(jsonObject){
  var json = jsonObject
  var fields = Object.keys(json[0])
  var replacer = function(key, value) { return value === null ? '' : value } 
  var csv = json.map(function(row){
    return fields.map(function(fieldName){
      return JSON.stringify(row[fieldName], replacer)
    }).join(',')
  })
	csv.unshift(fields.join(',')) // add header column
 	csv = csv.join('\r\n');
  return csv;
}

function downloadCSV(filename,csvVariable){
  var dataStr = "data:text/json;charset=utf-8," + encodeURIComponent(csvVariable);
	dlAnchorElem = document.getElementById('downloadAnchorElem');
  dlAnchorElem.setAttribute("href", dataStr);
  dlAnchorElem.setAttribute("download", filename);
}
